//
// Created by bastian on 01.04.22.
//

#ifndef BUILD_SETROBOTVELOCITY_H
#define BUILD_SETROBOTVELOCITY_H

#include <behaviortree_cpp_v3/action_node.h>
#include "MoveConnection.h"

namespace BT {
    class SetRobotVelocity: public SyncActionNode {
    private:
        std::shared_ptr<MoveConnection> connection;

    public:
        SetRobotVelocity(const std::string &name, const NodeConfiguration &config,
                std::shared_ptr<MoveConnection> connection);

        static PortsList providedPorts();

        NodeStatus tick() override;
    };
}


#endif //BUILD_SETROBOTVELOCITY_H
